...
 
deja-dup (36.3-3) unstable; urgency=high
* Add 0002-don-t-use-ulimit.patch:
- Stop using ulimit since it is incompatible with webkit2gtk 2.20
(LP: #1751460)
-- Jeremy Bicha <jbicha@debian.org> Fri, 16 Mar 2018 14:34:45 -0400
deja-dup (36.3-2) unstable; urgency=medium
* debian/copyright: Add debian/ to Files-Excluded
......
[DEFAULT]
pristine-tar = True
debian-branch = debian/master
debian-branch = debian/36.x
upstream-branch = upstream/latest
upstream-vcs-tag = %(version)s
From: Jeremy Bicha <jbicha@ubuntu.com>
Date: Fri, 16 Mar 2018 14:08:41 -0400
Subject: don't use ulimit
It doesn't work with webkit2gtk 2.20
https://launchpad.net/bugs/1751460
---
data/org.gnome.DejaDup.Monitor.desktop.in | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/data/org.gnome.DejaDup.Monitor.desktop.in b/data/org.gnome.DejaDup.Monitor.desktop.in
index 631455f..c429c42 100644
--- a/data/org.gnome.DejaDup.Monitor.desktop.in
+++ b/data/org.gnome.DejaDup.Monitor.desktop.in
@@ -6,10 +6,7 @@ Comment=Schedules backups at regular intervals
Icon=org.gnome.DejaDup
-# Try to limit memory -- we have reports of runaway deja-dup-monitor processes
-# but I can't reproduce it. So until we fix whatever is happening there, try
-# this. LP: #1302416
-Exec=sh -c "ulimit -v 1000000; exec @pkglibexecdir@/deja-dup-monitor"
+Exec=@pkglibexecdir@/deja-dup-monitor
X-GNOME-Autostart-Delay=120
X-GNOME-AutoRestart=true
0002-don-t-use-ulimit.patch